Subject: Re: Quoted values in string DN

From: Chris Harding <[email-masked]>
Date: Mon, 18 Oct 2004 18:35:56 +0100

Hi, Jim -

I think that "who should review this from the VSLDAP perspective" is the 
members of the DIF. I'm cc'ing this to them.

The definition of LDAP Certified, and the VSLDAP test suite, follows RFCs 
2251, 2252, 2253, etc. Clearly we should look at updating the definition 
and the test suite. I would think that the appropriate point to make a 
change would be the point at which the ldapbis specs are formally approved 
as RFCs.

Do you know whether the ldapbis team has produced (or intends to produce) a 
summary of the changes from RFC 2251 etc?

At 17:52 18/10/2004, Jim Sermersheim wrote:
>I'm told that the VSLDAP test suite requires that v3 servers parse DN 
>values containing quoted values.
>
>I know the string dn bis document removed Section 4 from RFC 2253. 
>Justification is given in 
><http://www.openldap.org/lists/ietf-ldapbis/200012/msg00065.html>http://www.openldap.org/lists/ietf-ldapbis/200012/msg00065.html. 
>I have two questions:
>
>1) can we summarize the justification, and add it to bullet #5 in Appendix 
>B of string DN?
>2) why did we reserve the need to escape double quote characters (see 
>DQUOTE in escaped, in the ABNF)?
>
>Thanks,
>
>Jim
>
>p.s. Chris, I'm not sure who should review this from the VSLDAP 
>perspective, can you forward it to the appropriate person?

Regards,

Chris
+++++

========================================================================
                 Dr. Christopher J. Harding
   T H E Forum Director for Directory Interoperability and Information 
Management
  O P E N        Thames Tower, 37-45 Station Road, Reading RG1 1LX, UK
G R O U P       Mailto:[email-masked] Phone (mobile): +44 774 063 1520
                 WWW: http://www.opengroup.org
========================================================================
Boundaryless Information Flow: Architecting Identity Management
Hyatt at Fisherman's Wharf, San Francisco, CA - January 24-28, 2005
http://www.opengroup.org/san-francisco2005/
========================================================================

---

From: "Jim Sermersheim" <[email-masked]>
Date: Tue, 19 Oct 2004 18:45:38 -0600

I agree, it's perfectly clear that these characters are to be escaped.
It's just as unclear as to why.
 
Using Ted's test, the chance of an implementor assuming this is a doc
bug is slim.
 
Jim

>>> "Kurt D. Zeilenga" <[email-masked]> 10/19/04 1:24:16 PM >>>
While I think the I-D is quite clear that DQUOTE is to be
escaped, if others think that it isn't clear enough, I would
favor adding a specific example over adding a historical
note to further clarify that DQUOTE is to escaped.

Kurt

At 12:13 PM 10/19/2004, Ted Hardie wrote:
>At 11:23 AM -0700 10/19/04, Kurt D. Zeilenga wrote:
>>At 09:53 AM 10/19/2004, Jim Sermersheim wrote:
>>>Anyway, I diverge. I agree we can't remove DQUOTE (or even SEMI) as
escaped characters in order to support existing clients, but I think
some historical note should be added which addresses DQUOTE and SEMI to
avoid future head scratching.
>>
>>Personally, I think adding historical notes, especially on
>>such minor points as to why DQUOTE is to be escaped, would
>>distract from the technical specification. I would rather
>>someone write a "History of LDAP" I-D which detailed how
>>LDAP evolved to what it is, and leave this and other LDAPBIS
>>I-Ds to detail how LDAP is to be implemented.
>>
>>Kurt
>
>Speaking personally, I think the line should get drawn when
>there is a risk that a fresh implementor would make the wrong
>choice when faced with the uncommented. That is, if there
>is a reasonable risk that an implementor will think it is a
>doc bug if you don't explain it, you should explain it. Otherwise,
>the external draft is a better way to go.
>
>Just my two cents,
> Ted Hardie